mb_get_info
mb_http_output
Multibyte String Functions
PHP Manual

# mb_http_input

(PHP 4 >= 4.0.6, PHP 5)

mb_http_input — Detect HTTP input character encoding

### Description

mixed mb_http_input ([ string `$type` ] )

Detects the HTTP input character encoding.

### Parameters

`type`

  Input string specifies the input type. "G" for GET, "P" for POST, "C" for COOKIE, "S" for string, "L" for list, and "I" for the whole list (will return array). If type is omitted, it returns the last input type processed.

### Return Values

The character encoding name, as per the `type` . If mb_http_input() does not process specified HTTP input, it returns `FALSE`.

### See Also

- mb_internal_encoding()
- mb_http_output()
- mb_detect_order()

mb_get_info
mb_http_output
Multibyte String Functions
PHP Manual